import callApi from './callApi'
import start from './start'
import stop from './stop'
import fetchUpdate from './fetchUpdate'
import fetchUserInfo from './fetchUserInfo'
import startGame from './startGame'

export default (context, inject) => {
  const engine = {
    context,
    lastFetched: [0, 0, 0, 0, 0],
    isActive: false,
    shouldStop: false,

    callApi,
    start,
    stop,
    fetchUpdate,
    fetchUserInfo,
    startGame,
  }

  inject('engine', engine)
}
